package cn.superdesk.uniorder.dubbo.consumer.thirdpart.szhtxx.electronicInvoice;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxx;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxxParam;
import cn.superdesk.uniorder.dto.param.thirdpart.szhtxx.electronicInvoice.SzhtxxElectronicInvoiceFptxxXmxxQueryCriteria;
import cn.superdesk.uniorder.dubbo.facade.thirdpart.szhtxx.electronicInvoice.DubboSzhtxxElectronicInvoiceFptxxXmxxService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2022-01-24 11:50:43
 * @UpdateUser: linjinyu
 * @UpdateDate: 2022-01-24 11:50:43
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class SzhtxxElectronicInvoiceFptxxXmxxDubboConsumerService {

    @Reference(version = "1.0.0", timeout = 30000, retries = -1)
    private DubboSzhtxxElectronicInvoiceFptxxXmxxService dubboSzhtxxElectronicInvoiceFptxxXmxxService;


    /****************************************** extends BaseService 部分 start ******************************************/

    public int insertSelective(SzhtxxElectronicInvoiceFptxxXmxx entity) {

        return dubboSzhtxxElectronicInvoiceFptxxXmxxService.insertSelective(entity);

    }

    public int updateByPrimaryKeySelective(SzhtxxElectronicInvoiceFptxxXmxx entity) {

        return dubboSzhtxxElectronicInvoiceFptxxXmxxService.updateByPrimaryKeySelective(entity);
    }

    public void deleteObj(Long id) {

        dubboSzhtxxElectronicInvoiceFptxxXmxxService.deleteObj(id);
    }

    public SzhtxxElectronicInvoiceFptxxXmxx findById(Long id) {

        return dubboSzhtxxElectronicInvoiceFptxxXmxxService.findById(id);
    }

    public PageInfo<SzhtxxElectronicInvoiceFptxxXmxx> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

        return dubboSzhtxxElectronicInvoiceFptxxXmxxService.findByPaging(conditions, pageNun, pageSize);
    }

    public List<SzhtxxElectronicInvoiceFptxxXmxx> findAll(Map<String, Object> queryMap) {

        return dubboSzhtxxElectronicInvoiceFptxxXmxxService.findAll(queryMap);
    }

    /****************************************** extends BaseService 部分   end ******************************************/


    public void addSzhtxxElectronicInvoiceFptxxXmxx(SzhtxxElectronicInvoiceFptxxXmxxParam param) {

        dubboSzhtxxElectronicInvoiceFptxxXmxxService.addSzhtxxElectronicInvoiceFptxxXmxx(param);
    }


    public void updateSzhtxxElectronicInvoiceFptxxXmxx(SzhtxxElectronicInvoiceFptxxXmxxParam param) {

        dubboSzhtxxElectronicInvoiceFptxxXmxxService.updateSzhtxxElectronicInvoiceFptxxXmxx(param);
    }


    public void deleteSzhtxxElectronicInvoiceFptxxXmxx(Long id) {
        dubboSzhtxxElectronicInvoiceFptxxXmxxService.deleteSzhtxxElectronicInvoiceFptxxXmxx(id);
    }


    public SzhtxxElectronicInvoiceFptxxXmxx findSzhtxxElectronicInvoiceFptxxXmxxById(Long id) {

        return dubboSzhtxxElectronicInvoiceFptxxXmxxService.findSzhtxxElectronicInvoiceFptxxXmxxById(id);
    }


    public R<List<SzhtxxElectronicInvoiceFptxxXmxx>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

        return dubboSzhtxxElectronicInvoiceFptxxXmxxService.pageQuery(conditions, pageNun, pageSize);
    }


    public R<List<SzhtxxElectronicInvoiceFptxxXmxx>> pageQueryGenericParam(SzhtxxElectronicInvoiceFptxxXmxxQueryCriteria queryCriteria) {

        return dubboSzhtxxElectronicInvoiceFptxxXmxxService.pageQueryGenericParam(queryCriteria);
    }
}
